Bug 438660 - freenx -> freenx-{server,client} split
freenx -> freenx-{server,client} split
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freenx (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On: 441186 441187
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 05:44 EDT by Axel Thimm
Modified: 2008-04-24 04:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 04:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2008-03-24 05:44:36 EDT
The upstream project freenx split its sources into a freenx-server and a
freenx-client tarball. From now on these two will be released with their own
schedule and version. Therefore it makes sense to split the package as well into
two (source) packages.

Since the current freenx package is closer to what freenx-server is, it's
probably best to rename freenx to freenx-server and create a new freenx-client
package.

Package Change Request
======================
Old Package Name: freenx
New Package Name: freenx-server
Additional Package Name: freenx-client
Comment 1 Axel Thimm 2008-03-24 06:08:25 EDT
Forgot to touch the fedora-cvs flag.
Comment 2 Kevin Fenzi 2008-03-24 11:48:37 EDT
Instead of renaming, would you be ok with just making new freenx-server and
freenx-client packages and then following the end of life procedure for the
freenx package? 

That way we would have cvs history in the old package if anyone needed it, and
the new ones would start out fresh when they were added, also if anyone looked
at freenx they would see the dead.package there that told them to look in
freenx-server/freenx-client... 

Thoughts? 
Comment 3 Axel Thimm 2008-03-25 13:39:48 EDT
I'm OK with everything that wouldn't require rereviewing freenx* and would allow
me to keep separate specfiles for *-server and *-client :) 
Comment 4 Kevin Fenzi 2008-03-26 12:06:59 EDT
Well, unfortunately, looking at it further it looks like these are totally split
new releases upstream, so I think reviewing should be done on them. ;( 

Do you have packages ready for them? 

If you could submit them and cc me, I would be happy to try and quickly review
them and get them in as painlessly as possible. 
Comment 5 Dennis Gilmore 2008-03-27 11:00:05 EDT
Axel you should submit new packages for review.  im going to unset the cvs
request.  If you CC Kevin he has offered to review them.
Comment 6 Axel Thimm 2008-03-27 15:27:10 EDT
(In reply to comment #4)
> Well, unfortunately, looking at it further it looks like these are totally split
> new releases upstream, so I think reviewing should be done on them. ;( 

All that has changed in the server component is the addition of a Makefile ...

> If you could submit them and cc me, I would be happy to try and quickly review
> them and get them in as painlessly as possible. 

Painless was the method I was looking for. I'll prepare packages and resubmit
them. New bugzillas or this one?
Comment 7 Kevin Fenzi 2008-03-27 16:58:30 EDT
> All that has changed in the server component is the addition of a Makefile ...

Cool. Should be a super quick review. ;) 

> Painless was the method I was looking for. I'll prepare packages and resubmit
> them. New bugzillas or this one?

New ones might be easier so they block all the right stuff and have Review
Request, etc. 

Comment 8 Axel Thimm 2008-04-06 23:36:21 EDT
OK, I submitted bug #441186 and bug #441187 and put you in the reviewer's slot.
Thanks in advance!
Comment 9 Axel Thimm 2008-04-24 04:38:29 EDT
Thanks again, I'll close this bug as the split is done.

Note You need to log in before you can comment on or make changes to this bug.